%define upstream_name    Alien-Hunspell
%define upstream_version 0.16

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\(File::ShareDir\\)$

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Building, finding and using libhunspell binaries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-Hunspell-vendorlib.patch
BuildArch:  noarch

BuildRequires: perl(Alien::Base) >= 0.38.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.400.0
BuildRequires: perl(Alien::Build::Plugin::Build::Autoconf) >= 0.410.0
BuildRequires: perl(ExtUtils::CppGuess)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test2::Require) >= 0.0.60
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Test::Alien::CPP)
BuildRequires: pkgconfig(hunspell)
%description
Please see the Alien manpage for the manifesto of the Alien namespace.

In short 'Alien::Hunspell' can be used to detect and get configuration settings
from an installed hunspell and related libraries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Alien/Hunspell.pm
%{perl_vendorlib}/Alien/Hunspell/
%{perl_vendorlib}/auto/share/dist/Alien-Hunspell/

%changelog
* Tue Mar 17 2020 tv <tv> 0.160.0-1.mga8
+ Revision: 1557237
- update to 0.16

* Sat Feb 22 2020 shlomif <shlomif> 0.150.0-1.mga8
+ Revision: 1549380
- New version 0.150.0

* Sat Feb 15 2020 umeabot <umeabot> 0.110.0-7.mga8
+ Revision: 1525209
- Mageia 8 Mass Rebuild

* Fri Apr 05 2019 shlomif <shlomif> 0.110.0-6.mga7
+ Revision: 1386185
- add BRs

* Thu Sep 20 2018 umeabot <umeabot> 0.110.0-5.mga7
+ Revision: 1281566
- Mageia 7 Mass Rebuild

* Wed Jul 25 2018 wally <wally> 0.110.0-4.mga7
+ Revision: 1245261
- add patch to install to noarch vendorlib

* Tue Jul 24 2018 wally <wally> 0.110.0-3.mga7
+ Revision: 1245060
- rebuild for perl 5.26.2

* Mon Oct 02 2017 tv <tv> 0.110.0-2.mga7
+ Revision: 1162774
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 guillomovitch <guillomovitch> 0.110.0-1.mga7
+ Revision: 1156601
- new version 0.11

* Sat Jun 18 2016 pterjan <pterjan> 0.70.0-2.mga6
+ Revision: 1022270
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.70.0-1.mga6
+ Revision: 953176
- update to 0.07

* Mon Jan 25 2016 shlomif <shlomif> 0.40.0-1.mga6
+ Revision: 927456
- Importing from cpan2pkg

